import TerminalAdapter from './TerminalAdapter';
export type ITerminal = boolean;
export interface ITerminalState {
    dark: ITerminal;
    adapter?: TerminalAdapter;
}
export type TerminalState = ITerminalState & {
    setDark: (dark: boolean) => void;
    setAdapter: (adapter?: TerminalAdapter) => void;
};
export declare const terminalStore: import("zustand").StoreApi<TerminalState>;
export declare function useTerminalStore(): TerminalState;
export declare function useTerminalStore<T>(selector: (state: TerminalState) => T): T;
export default useTerminalStore;
