import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import { Jupyter } from '../jupyter/Jupyter';
import Terminal from '../components/terminal/Terminal';
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Jupyter, { startDefaultKernel: false, terminals: true, children: _jsx(Terminal, { colormode: "dark", height: "800px" }) }));
//# sourceMappingURL=Terminal.js.map